/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/

/* GENERAL */

html, body{
    overflow-x: hidden;
}

a {
    color: inherit;
}

.fitcontent{
    width: fit-content !important;
}


/* BUTTON */
.elementor-widget-button .elementor-button{
    backdrop-filter: blur(10px);
    box-shadow: inset 0 0 0 1px rgba(255, 255, 255, 0.05);
}

.cta_light .elementor-button{
    background-color: #ffffff40 !important;
}

.cta_light .elementor-button:hover{
    background-color: #0060AA26 !important;
}

span.elementor-button-content-wrapper {
    display: inline-flex;
    align-items: center;
}

.elementor-widget-button span.elementor-button-icon svg {
    width: 44px;
    height: 44px;
    transition: all ease-in-out .3s;
}

.elementor-widget-button:hover span.elementor-button-icon svg {
    transform: rotate(-45deg);
}

.cta_discover.elementor-widget-button span.elementor-button-icon svg {
    width: 16px;
    height: 16px;
}

.cta_discover.elementor-widget-button span.elementor-button-text {
font-size: 13px !important;
font-weight: 300 !important;
}

.cta_discover a.elementor-button {
    padding: 6px 12px 9px 16px !important;
}

/* FIL D'ARIANE */

.ariane-separator {
    content: url(/wp-content/uploads/2026/03/ariane.svg);
}

p#breadcrumbs span:first-of-type {
    display: flex;
    gap: 8px;
}

p#breadcrumbs span {
    display: flex;
    align-items: center;
}

.breadcrumb_last{
    color: #E2524B !important;
}

/* MENU */
@media screen and (min-width: 1024px){
ul.elementor-nav-menu{
    display: inline-flex;
    align-items: center;
}

ul.elementor-nav-menu li{
    height: fit-content;
}

li.menu-item a.elementor-item-active,li.menu-item a.elementor-item:hover{
    background-color: #ffffff0d;
    border-radius: 50px;
}

.sub-menu li.menu-item a.elementor-item-active,.sub-menu li.menu-item a.elementor-item:hover{
        border-radius: 0px;
}

li.menu-item:last-child a.elementor-item-active,li.menu-item:last-child a.elementor-item:hover{
    background-color: transparent;
}


ul.elementor-nav-menu > li:last-child{
        background-color: #ffffff40;
        padding: 4px 4px 4px 18px;
        border-radius: 60px;
}

ul.elementor-nav-menu > li:last-child:hover{
        background-color: #0060AA26;
}

ul.elementor-nav-menu > li:last-child a{
        padding: 0 !important;
        font-size: 18px !important;
}


ul.elementor-nav-menu > li:last-child:after{
    content: "";
    display: inline-block;
    width: 40px;
    height: 40px;
    margin-left: 10px;
    background-color: transparent !important;
    background-image: url('/wp-content/uploads/2026/03/arrow_cta.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    opacity: 1 !important;
    transition: all ease-in-out .3s;
}

ul.elementor-nav-menu > li:last-child:hover:after{
transform: rotate(-45deg);
}
}



/* CAROUSEL PROJET */
.carousel_projet, 
.carousel_projet .elementor-widget-container,
.carousel_projet .elementor-main-swiper,
.carousel_projet .swiper {
    overflow: visible !important;
}

.carousel_projet .swiper {
    width: 125% !important; 
    margin-left: 0 !important;
}

.carousel_projet {
    clip-path: inset(-500px -100% -500px 0);
}

.carousel_projet .elementor-swiper-button {
    z-index: 9999 !important;
    display: flex !important;
    visibility: visible !important;
    opacity: 1 !important;
    pointer-events: all !important;
}


/* CAROUSEL PRODUIT */

.carousel_produit, 
.carousel_produit .elementor-widget-container,
.carousel_produit .elementor-main-swiper,
.carousel_produit .swiper {
    overflow: visible !important;
}

     .carousel_produit .swiper {
        width: 105% !important; 
        margin-left: 0 !important;
    }

    .carousel_produit {
        clip-path: inset(-500px -100% -500px 0);
    }

    .carousel_produit .elementor-swiper-button {
    z-index: 9999 !important;
    display: flex !important; 
    visibility: visible !important;
    opacity: 1 !important;
    pointer-events: all !important;
}

/* ACCORDEON */
/* FAQ */

.faq details.e-n-accordion-item {
    border-radius: 24px;
    border-bottom: 1px solid rgba(19, 23, 53, 0.10);
}

/* GAMME */
.gamme details.e-n-accordion-item {
    border-bottom: 1px solid rgba(19, 23, 53, 0.10);
}


/* List */
.elementor-widget-text-editor ul {
    margin-bottom: 16px;
    padding-inline-start: 24px;
}

.elementor-widget-text-editor ul {
    list-style: none !important;
    padding-left: 1.5em !important;
}

.elementor-widget-text-editor ul li {
    position: relative;
}

.elementor-widget-text-editor ul li::before {
    content: "\2022";
    font-size: 20px;
    display: inline-block;
    vertical-align: middle;
    position: absolute;
    left: -0.6em;
    top: -5px;
}

.caracteristiques-liste p {
    position: relative;
    padding-left: 24px; 
    margin-bottom: 12px !important; 
    line-height: 1.4;
}
.caracteristiques-liste p::before {
    content: "";
    position: absolute;
    left: 0;
    top: 2px;
    width: 18px;
    height: 18px; 
    background-image: url('/wp-content/uploads/2026/04/caracteristique_icon.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;

    display: inline-block;
}


/* ARTICLES */
.content_post h3 {
    font-size: 25px;
    font-weight: 700;
    max-width: 330px;
}

.content_post h3:not(:first-of-type) {
    margin-block-start: 45px !important;
}



/* RESPONSIVE */

@media screen and (max-width: 1140px){
li.menu-item a.elementor-item-,li.menu-item a.elementor-item:hover .sub-arrow .e-font-icon-svg.fa-svg-chevron-down, li.menu-item a.elementor-item-,li.menu-item a.elementor-item:active .sub-arrow .e-font-icon-svg.fa-svg-chevron-down {
    height: .7em;
    width: .7em;
    fill: #fff !important;
}
.swiper-pagination.swiper-pagination-clickable.swiper-pagination-bullets.swiper-pagination-horizontal {
    width: 100vw !important;
    left: 47.5% !important;
}
}

@media screen and (max-width: 1024px){
.caracteristiques-liste p {
    font-size: 13px;
}


@media screen and (max-width: 767px){

    /* CAROUSEL PROJET */
    .carousel_projet .swiper {
        width: 150% !important; 
    }

    /* On cache les flèches sur mobile */
    .carousel_projet .elementor-swiper-button, .carousel_produit .elementor-swiper-button {
        display: none !important;
    }
}